import { SignatureScheme } from '../crypto';
/**
 * Representation of JWT Header.
 */
export declare class JwtHeader {
    /**
     * Deserializes the header from JWT format - Base64 encoded string.
     *
     * @param encoded - JWT encoded header
     */
    static deserialize(encoded: string): JwtHeader;
    alg?: string;
    kid?: string;
    typ: string;
    constructor(alg?: string, kid?: string);
    /**
     * Serializes the header into JWT format - Base64 encoded string.
     */
    serialize(algorithm: SignatureScheme | undefined, publicKeyId: string | undefined): string;
}
